package com.yida.data.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 智慧迎新报到状态枚举
 *
 * @author ZYJ
 * @date 2021/8/24
 */
@Getter
@AllArgsConstructor
public enum ReportStatusEnum {

    /**
     * 智慧迎新报到状态枚举
     */
    ALL_REPORT_STATUS(-1, "查询全部报到状态"),
    NOT_REPORT_STATUS(0, "未报到"),
    REPORTED_STATUS(1, "已报到");

    /**
     * 报到状态
     */
    private final Integer status;

    /**
     * 报到状态描述
     */
    private final String message;
}
